//---------------------------------------------------------------------------
#ifndef ServerPoolH
#define ServerPoolH
#include "ServerThread.h"

#define MAX_SERVERS 1024

class ServerPool
{


 public:
    __fastcall ServerPool();
    void __fastcall  SortServers(void);
    int __fastcall  AddServer(AnsiString Server);
    int __fastcall  ScanCblock(AnsiString CblockExample);
    void __fastcall  RemoveDeadServers(void);
    void __fastcall RemoveServer(int Server);
    void __fastcall  RunMandelbrot(int Height, int Width, long double Rmin,
                long double Rmax, long double Imin, long double Imax);

    ServerThread *Pool[MAX_SERVERS];
    int NumServers;
    char **Data;

    



};
//---------------------------------------------------------------------------
#endif
